Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt

Use this file to discover all available pages before exploring further.

Overview

Allows the client to initiate the process of getting payment options for selling eDaler.

HTTP request

POST /Agent/Wallet/GetPaymentOptionsForSellingEDaler

Authentication

Requires a valid JWT bearer token.

Request (JSON)

{
	"serviceId": Required(Str(PServiceId)),
	"serviceProvider": Required(Str(PServiceProvider)),
	"successUrl": Optional(Str(PSuccessUrl)),
	"failureUrl": Optional(Str(PFailureUrl)),
	"cancelUrl": Optional(Str(PCancelUrl)),
	"transactionId": Optional(Str(PTransactionId)),
	"tabId": Optional(Str(PTabId)),
	"functionName": Optional(Str(PFunctionName))
}

Input parameters

ParameterDescription
PServiceIdID of service to use.
PServiceProviderID of service provider publishing the service selected.
PSuccessUrlOptional URL to call from Client web page, when the transaction has concluded successfully.
PFailureUrlOptional URL to call from Client web page, if the transaction fails.
PCancelUrlOptional URL to call from Client web page, if the client cancels the transaction.
PTransactionIdOptional ID of transaction.
PTabIdOptional TAB ID. Used by Events.js, and can be used to inform the client when a change is reported for the transaction.
PFunctionNameOptional name of Javascript function to call if Events.js is included, and a Tab ID is reported.

Response (JSON)

{
	"id":Required(Str(PId)),
	"state":Required(Str(PState)),
	"started":Required(DateTime(PStarted)),
	"ended":Optional(DateTime(PEnded)),
	"serviceId": Required(Str(PServiceId)),
	"serviceProvider": Required(Str(PServiceProvider)),
	"successUrl": Optional(Str(PSuccessUrl)),
	"failureUrl": Optional(Str(PFailureUrl)),
	"cancelUrl": Optional(Str(PCancelUrl)),
	"clientUrl": Optional(Str(PClientUrl))
}

Response parameters

ParameterDescription
PIdID of transaction.
PStateState of transaction. Possible values are Created, Preparing, Prepared, Executing, Executed, Committing, Committed, RollingBack, RolledBack and Error.
PStartedWhen transaction started.
PEndedWhen (if) transaction ended.
PServiceIdID of service to use.
PServiceProviderID of service provider publishing the service selected.
PSuccessUrlOptional URL to call from Client web page, when the transaction has concluded successfully.
PFailureUrlOptional URL to call from Client web page, if the transaction fails.
PCancelUrlOptional URL to call from Client web page, if the client cancels the transaction.
PClientUrlURL to third-party web page that the client needs to open and complete, for the transaction to take place.

Notes

This endpoint uses the request schema notation described in Pattern matching.